#include <iostream>
#define int long long
using namespace std;
int v[1000005];
int32_t main()
{
    int n,k;
    cin>>n>>k;
    int cnt=0;
    int cnt2=0;
    for(int i=1;i<=n;i++){
        cin>>v[i];
        if(v[i]==1) cnt++;
        if(v[i]==2) cnt2++;
    }
    if(cnt>=k&&cnt2>=k) cout<<3;
    else if(cnt>=k) cout<<1;
    else if(cnt2>=k) cout<<2;
    else cout<<0;
    return 0;
}
